<div
  class="background-image"
  [style.backgroundImage]="'url(' + artistImage + ')'"
></div>

<ion-content style="text-align: center">
  <div class="div_top">
    <button (click)="back()" ion-button clear icon-only>
      <ion-icon name="arrow-back"></ion-icon>
    </button>
  </div>

  <ion-row style="height: auto">
    <ion-col col-12 style="padding:0px;">
      <img-loader useImg class="shadow" src="{{ artistImage }}"></img-loader>
    </ion-col>

    <ion-col col-3></ion-col>

    <ion-col col-6 style="color:black;text-align: center">
      <h4>{{ artistName }}</h4>

      <button
        (click)="fav.follow(artistKey)"
        *ngIf="!fav.isFollow(artistKey)"
        ion-button
        clear
        style="color:black"
        icon-only
      >
        Follow <ion-icon name="star-outline"></ion-icon>{{ followNum }}
      </button>
      <button
        (click)="fav.unFollow(artistKey)"
        *ngIf="fav.isFollow(artistKey)"
        ion-button
        clear
        style="color:#FFD700"
        icon-only
      >
        Unfollow <ion-icon name="star"></ion-icon>{{ followNum }}
      </button>

      <button
        ion-button
        color="danger"
        style="border-radius: 100px;opacity:0.5;background:#faa74a"
        (click)="shuffle()"
        *ngIf="playlists.length > 0"
      >
        {{ 'shuffleAll' | translate }}
      </button>
    </ion-col>

    <ion-col col-3></ion-col>
  </ion-row>

  <ion-item
    class="item_h"
    style="background-color: transparent;color: black;text-align: center"
    no-lines
    >{{ 'latestRelease' | translate }}</ion-item
  >
  <ion-list class="playlist" no-lines style="background-color: transparent">
    <ng-container *ngFor="let track of playlists_latest; let i = index">
      <ng-container *ngIf="i < 1">
        <ion-item
          block
          clear
          [ngClass]="{ playing: track.key == musicservice.playingTrack.key }"
          style="background-color: transparent;"
        >
          <ion-avatar item-left (click)="play(i)">
            <img class="shadow" src="{{ track.art }}" />
          </ion-avatar>
          <h2 (click)="play(i)">{{ track.title }}</h2>
          <p (click)="play(i)" style="color:black">{{ track.artist }}</p>
          <ion-icon
            name="more"
            style="opacity: 0.5"
            (click)="more(track)"
            item-right
          ></ion-icon>
        </ion-item>
      </ng-container>
    </ng-container>
  </ion-list>

  <ion-item
    class="item_h"
    style="background-color: transparent;color: black;text-align: center"
    no-lines
    >{{ 'top5' | translate }}</ion-item
  >
  <ion-list no-lines style="background-color: transparent">
    <ng-container *ngFor="let track of playlists; let i = index">
      <ng-container *ngIf="i < 5">
        <ion-item
          class="top5_list"
          [ngClass]="{ playing: track.key == musicservice.playingTrack.key }"
          block
          clear
          style="background-color: transparent;"
        >
          <ion-avatar item-left (click)="play(i)">
            <h3>{{ i + 1 }}</h3>
          </ion-avatar>
          <h2 (click)="play(i)">{{ track.title }}</h2>
          <ion-icon
            name="more"
            style="opacity: 0.5"
            (click)="more(track)"
            item-right
          ></ion-icon>
        </ion-item>
      </ng-container>
    </ng-container>
  </ion-list>

  <ion-item
    class="item_h"
    style="background-color: transparent;color: black;text-align: center"
    no-lines
    >{{ 'discography' | translate }}</ion-item
  >
  <ion-scroll scrollX style="height:200px;">
    <div
      class="scroll-item"
      *ngFor="let artist of albums | async"
      (click)="gotoalbum(artist.$key, artist.artist)"
      style="text-align: center;margin:10px;width: 120px"
    >
      <!-- <img class="shadow" src="{{artist.image}}" style="width: 120px;height: 120px;color:black" /> -->
      <img-loader
        useImg
        class="shadow"
        src="{{ artist.image }}"
        style="width: 120px;height: 120px;color:black"
      ></img-loader>
      <p style="color:black;text-overflow: ellipsis;overflow: hidden">
        {{ artist.name }}
      </p>
      <p style="color:darkgray;margin-top:-10px;color:black;font-size: 80%">
        {{ artist.artistName }}
      </p>
    </div>
  </ion-scroll>

  <ion-item
    class="item_h"
    style="background-color: transparent;color: black;text-align: center"
    no-lines
    >{{ 'video' | translate }}</ion-item
  >
  <ion-scroll scrollX style="height:200px;">
    <div
      class="scroll-item"
      *ngFor="let artist of videolists; let i = index"
      (click)="playVideo(i)"
      style="text-align: center;margin:10px;width: 120px"
    >
      <img-loader
        useImg
        class="shadow"
        src="{{ artist.art }}"
        style="width: 120px;height: 120px;color:black"
      ></img-loader>
      <p style="color:black;text-overflow: ellipsis;overflow: hidden">
        {{ artist.title }}
      </p>
      <p style="color:darkgray;margin-top:-10px;color:black;font-size: 80%">
        {{ artist.artistName }}
      </p>
    </div>
  </ion-scroll>
</ion-content>

<ion-footer
  style="background: linear-gradient(to top, rgb(0, 0, 0), rgb(66, 39, 90));"
>
  <div
    *ngIf="tracks"
    style="height: 3px;z-index: 9999;background-color:#faa74a"
    [style.width.%]="musicservice.progress()"
  ></div>
  <ion-row *ngIf="tracks">
    <ion-col col-8 (click)="player()">
      <button ion-button clear block style="color:white;">
        <div class="marquee">
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
          <div>
            <span>{{ tracks.title }}</span> - {{ tracks.artist }}
          </div>
        </div>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <audio-track-play light [audioTrack]="tracks"> </audio-track-play>
    </ion-col>

    <ion-col col-2 style="text-align: right">
      <button (click)="next()" ion-button clear style="color:black" icon-only>
        <ion-icon name="skip-forward"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
</ion-footer>
